Bug 436240 - cman build failures due to needing to include limits.h
cman build failures due to needing to include limits.h
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Fabio Massimo Di Nitto
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-03-05 21:08 EST by Doug Chapman
Modified: 2008-06-06 03:47 EDT (History)
0 users

See Also:
Fixed In Version: 2.99.02
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-23 00:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add #include <limits.h> to several files to fix build errors (2.03 KB, patch)
2008-03-05 21:08 EST, Doug Chapman
no flags Details | Diff

  None (edit)
Description Doug Chapman 2008-03-05 21:08:02 EST
Description of problem:
cman has multiple build errors, mostly files needing PATH_MAX which is defined
in limits.h but not included.  The attached patch addresses this.

This is blocking Fedora-ia64 because we don't have an older binary to fall back
on.  I noticed a failed build on the normal koji server for x86/ppc however I
didn't see a build log.  I imagine that is failing for the same reasons.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2008-03-05 21:08:02 EST
Created attachment 296976 [details]
add #include <limits.h> to several files to fix build errors
Comment 2 Chris Feist 2008-03-24 14:32:12 EDT
I'm working on fixing these issues, however I am unable to build in Fedora due
to the fact that the fedora-upload-ca.cert and fedora-server-ca.cert no longer
exist on the website.  I've requested assistance on fedora-devel but have not
received any help.  If you could send me these files or point me to someone who
could help me, I could work on this issue.
Comment 3 Doug Chapman 2008-03-24 15:09:37 EDT
Chris,

I suggest asking for help on #fedora-admin on freenode.  They should be able to
help you with the cert files.

- Doug
Comment 4 Bug Zapper 2008-05-14 01:48:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2008-06-02 16:33:02 EDT
rgmanager-2.03.03-1.fc9,gfs2-utils-2.03.03-1.fc9,cman-2.03.03-1.fc9,openais-0.80.3-17.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-06-06 03:47:50 EDT
openais-0.80.3-17.fc9, rgmanager-2.03.03-1.fc9, cman-2.03.03-1.fc9, gfs2-utils-2.03.03-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.